Modules/Master/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;
use Modules\Master\Http\Controllers\AlumniController;
use Modules\Master\Http\Controllers\BeritaController;
use Modules\Master\Http\Controllers\DashboardController;
use Modules\Master\Http\Controllers\KarierController;
use Modules\Master\Http\Controllers\LayananAlumniController;
use Modules\Master\Http\Controllers\SliderController;

Route::prefix('master')->group(function () {
    // Route::get('/', 'MasterController@index');

    Route::put('slide/all', [SliderController::class, 'update_all'])->name('slide.update.all');
    Route::resource('slide', SliderController::class);

    Route::get('alumni/download/{id}', [AlumniController::class, 'download'])->name('alumni.download');
    Route::resource('alumni', AlumniController::class);

    Route::get('layanan-alumni/preview', [LayananAlumniController::class, 'preview'])->name('layanan-alumni.preview');
    Route::resource('layanan-alumni', LayananAlumniController::class);

    Route::resource('news', BeritaController::class);

    Route::resource('tips-karier', KarierController::class);
});

Route::get('home', [DashboardController::class, 'index'])->name('home');

Modules/Master/Http/Controllers/KarierController.php
<?php

namespace Modules\Master\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;
use Image;
use Modules\Master\Entities\Post;

class KarierController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        $data = [
            'title'     => 'Tips Karier',
        ];

        return view('master::karier.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        $data = [
            'title'     => 'Tips Karier',
        ];

        return view('master::karier.create', $data);
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
        DB::beginTransaction();

        if (request()->hasFile('file')) {
            $image = $request->file('file');
            $image_resize = Image::make($image->getRealPath());
            $image_resize->resize(410, 270);
            $nama = time() . rand(1, 100) . '.' . $image->getClientOriginalExtension();
            $image_resize->save(public_path('img/content/' . $nama));
        }

        $data = Arr::except(request()->all(), ['_token', 'file']);
        $data['jenis_post'] = 'karier';
        $data['file']       = $nama;
        Post::create($data);

        DB::commit();

        return redirect()->route('news.index')->with('success', 'Berita berhasil Di-buat');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('master::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('master::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }
}

Modules/Master/Resources/views/karier/create.blade.php
@extends('layouts.main')
@section('breadcrumb')
    @include('layouts.breadcrumb')
@endsection
@section('content')
    <div class="row">
        <div class="col-md-6">
            <form action="{{ route('tips-karier.store') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="card">
                    <div class="card-body">
                        <div class="mb-3">
                            <label for="judul" class="form-label">Judul</label>
                            <input type="text" class="form-control" id="judul" name="judul" required>
                        </div>
                        <label for="judul" class="form-label mb-2">Photo</label>
                        <div class="mb-3">
                            <img src="{{ urlPost() }}" alt="" width="150px" id="img-preview">
                            <input type="file" class="form-control mt-2" id="file" name="file"
                                accept=".jpg,.png,.jpeg" onchange="loadFile(event)" required>
                            <small class="form-text text-muted">NB : Ukuran Size 410x270 px</small>
                        </div>
                        <div class="mb-3">
                            <label for="editor" class="form-label">Deskripsi</label>
                            <textarea name="deskripsi" id="editor" rows="3" class="form-control"></textarea>
                        </div>

                        <button type="submit" class="btn btn-primary">Kirim</button>
                        <button type="button" class="btn btn-default"
                            onclick="window.location='{{ url()->previous() }}'">Back</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('js')
    <script src="https://cdn.ckeditor.com/ckeditor5/35.3.1/classic/ckeditor.js"></script>
    <script>
        var loadFile = function(event) {
            var output = document.getElementById('img-preview');
            output.src = URL.createObjectURL(event.target.files[0]);
            output.onload = function() {
                URL.revokeObjectURL(output.src) // free memory
            }
        }

        ClassicEditor
            .create(document.querySelector('#editor'))
            .catch(error => {
                console.error(error);
            });
    </script>
@endsection

Modules/Master/Resources/views/karier/index.blade.php
@extends('layouts.main')
@section('breadcrumb')
    @include('layouts.breadcrumb')
@endsection
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="w-100 d-flex justify-content-between mb-3">
                <h3>{{ $title }}</h3>
                <div class="">
                    <button type="button" class="btn btn-outline-primary btn-sm"
                        onclick="window.location='{{ route('tips-karier.create') }}'">Tambah</button>
                </div>
            </div>
            <div class="table-responsive">
                <table id="basic-datatables" class="display table table-striped table-hover" cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Judul</th>
                            <th>Photo</th>
                            <th>Date</th>
                            <th>Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
@section('js')
    @php
        initialAction();
    @endphp
    <script>
        $('#basic-datatables').DataTable();
    </script>
@endsection